raw_notifier_chain_register
Prev | Kernel utility functions | Next

## Name

raw_notifier_chain_register — Add notifier to a raw notifier chain

## Synopsis

`int raw_notifier_chain_register (` | struct raw_notifier_head * | nh,
| struct notifier_block * | n`)`;

## Arguments

`nh`

  Pointer to head of the raw notifier chain

`n`

  New entry in notifier chain

## Description

Adds a notifier to a raw notifier chain. All locking must be provided by the caller.

Currently always returns zero.

Prev | Up | Next
__blocking_notifier_call_chain | Home | raw_notifier_chain_unregister